%global srcname backports.shutil_get_terminal_size
%global fedname backports-shutil_get_terminal_size
%global sum A backport of the get_terminal_size function from Python 3.3's shutil

Name:           python-%{fedname}
Version:        1.0.0
Release:        6%{?dist}.1
Summary:        %{sum}

License:        MIT
URL:            https://github.com/chrippa/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  pytest

%description
A backport of the get_terminal_size function from Python 3.3’s shutil.
Unlike the original version it is written in pure Python rather than C,
so it might be a tiny bit slower.

%package -n python2-%{fedname}
Summary:        %{sum}
Requires:       python-backports
%{?python_provide:%python_provide python2-%{fedname}}

%description -n python2-%{fedname}
A backport of the get_terminal_size function from Python 3.3’s shutil.
Unlike the original version it is written in pure Python rather than C,
so it might be a tiny bit slower.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

# This files are provided by python-backports
rm -f %{buildroot}%{python2_sitelib}/backports/__init__.py*

%check
py.test-2.7


%files -n python2-%{fedname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python2_sitelib}/backports/shutil_get_terminal_size

    
%changelog
* Mon Jul 02 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.0.0-6.1
- EPEL 7 requires python-* not python2-*

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.0-5
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Jun 23 2016 Dominika Krejci <dkrejci@redhat.com> - 1.0.0-1
- Initial release

